> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Deal

> Update only the fields you send. Changing `stage_id` records the stage change.



## OpenAPI

````yaml /openapi-v1.json put /api/v1/crm/deals/{deal_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/deals/{deal_id}:
    put:
      tags:
        - CRM
      summary: Update Deal
      description: >-
        Update only the fields you send. Changing `stage_id` records the stage
        change.
      operationId: update_crm_deal
      parameters:
        - in: path
          name: deal_id
          schema:
            format: uuid
            title: Deal Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DealUpdateIn'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    DealUpdateIn:
      properties:
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        stage_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Stage Id
        amount:
          anyOf:
            - type: string
            - type: number
            - type: 'null'
          title: Amount
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 4217 code, e.g. EUR
          title: Currency
        expected_close_date:
          anyOf:
            - type: string
            - type: 'null'
          description: YYYY-MM-DD
          title: Expected Close Date
        owner_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Owner Id
        organization_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Organization Id
        contact_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Replaces the deal's contacts
          title: Contact Ids
        custom_fields:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Custom Fields
        lost_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Lost Reason
      title: DealUpdateIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.